Subject: Re: [PATCH 1/2] net-next-2.6: SYN retransmits: Rename threshold variable

From: Damian Lukowski <[email-masked]>
Date: Fri, 01 Oct 2010 07:22:25 +0200

Am Donnerstag, den 30.09.2010, 17:23 -0700 schrieb David Miller:
> Damian please don't do things like this.

No problem. It was just for preventing the merge conflict Stephen
experienced, as I've seen that parameters have changed in net-next-2.6
already.

Damian

> When we make a change in net-2.6, that change is going to propagate into
> net-next-2.6 the next time I do a merge.
> 
> And in this case here, the addition of the "syn_set" boolean argument to
> retransmits_timed_out() will happen at that point.
> 
> So if anything, you should build on top of the bug fix we put into
> net-2.6 instead of duplicating the change.
> 
> Adding the same change in two different ways to net-2.6 and net-next-2.6
> makes the merge a pain in the neck for me and just makes things look
> real confusing.
> 
> I'm not applying these two patches, please ask me to merge net-2.6 into
> net-next-2.6 and this way you can code them relative to that.
> 
> Thanks!